Name:           python-openid-teams
Version:        1.2
Release:        %mkrel 7
Summary:        Teams extension for python-openid
Group:          Development/Python
License:        BSD
URL:            https://github.com/puiterwijk/python-openid-teams
Source:         https://github.com/puiterwijk/python-openid-teams/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-openid

%global _description\
Teams extension implementation for python-openid\


%description %_description

%package -n python3-openid-teams
Summary:        Teams extension for python3-openid
Requires:       python3-openid
%{?python_provide:%python_provide python3-openid-teams}

%description -n python3-openid-teams %_description

This package includes the python 3 version of the module.


%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files openid_teams


%files -n python3-openid-teams -f %{pyproject_files}


%changelog
* Thu Feb 29 2024 papoteur <papoteur> 1.2-7.mga10
+ Revision: 2045775
- rebuild for python 3.12

* Wed Mar 30 2022 umeabot <umeabot> 1.2-6.mga9
+ Revision: 1833857
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.2-5.mga9
+ Revision: 1783488
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.2-4.mga9
+ Revision: 1733276
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.2-3.mga8
+ Revision: 1535877
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 tv <tv> 1.2-2.mga8
+ Revision: 1452938
- rebuild for python-3.8
- drop python2 subpkg

* Sun Apr 21 2019 wally <wally> 1.2-1.mga7
+ Revision: 1394208
- new version 1.2

* Wed Jan 09 2019 shlomif <shlomif> 1.1-12.mga7
+ Revision: 1353542
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.1-11.mga7
+ Revision: 1289497
- Mageia 7 Mass Rebuild

* Mon Nov 27 2017 ngompa <ngompa> 1.1-10.mga7
+ Revision: 1180028
- Adapt for Mageia
- imported package python-openid-teams


* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1-9
- Python 2 binary package renamed to python2-openid-teams
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 24 2017 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.1-7
- Testing

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.1-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Oct 19 2015 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.1-1
- Rebase to v1.1, adding python3 support

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 16 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.0-1
- Initial packaging

